Templaterecipients 2 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}

Deletes the specified recipient file from the specified template.

operationId: Recipients_DeleteTemplateRecipient

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateRecipients

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}
POST /v2.1/accounts/{accountId}/templates/{templateId}/views/recipient_preview

This method returns a URL for a template recipient preview in the DocuSign UI that you can embed in your application. You use this method to enable the sender to preview the recipients’ experience.

For more information, see Preview and Send.

operationId: Views_PostTemplateRecipientPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/recipientPreviewRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/views/recipient_preview

Templateresponsivehtmlpreview 1 endpoints

POST /v2.1/accounts/{accountId}/templates/{templateId}/responsive_html_preview

Creates a preview of the
responsive,
HTML versions of all of the documents associated
with a template. This method enables you to
preview the PDF document conversions to responsive
HTML across device types prior to sending.

The request body is a documentHtmlDefinition
object, which holds the responsive signing
parameters that define how to generate the HTML
version of the documents.

operationId: ResponsiveHtml_PostTemplateResponsiveHtmlPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/documentHtmlDefinition

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/responsive_html_preview

Templateviews 1 endpoints

POST /v2.1/accounts/{accountId}/templates/{templateId}/views/edit

This method returns a URL for starting an edit view of a template that uses the DocuSign Template UI. The URL can only be used once.

To prevent the user from accessing the sending account, set the returnUrl value in the request body.

Information security notice

If the returnUrl value is not set, this method provides full access to the sending account. If the account has administrative privileges, then this method also provides administrator access.

operationId: Views_PostTemplateEditView

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/returnUrlRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/views/edit

Templates 12 endpoints

GET /v2.1/accounts/{accountId}/templates

Retrieves the list of templates for the specified account. The request can be limited to a specific folder.

Related topics

operationId: Templates_GetTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

created_from_date query optional string

Lists templates created on or after this date.

created_to_date query optional string

Lists templates modified before this date.

folder_ids query optional string

A comma-separated list of folder ID GUIDs.

folder_types query optional string

The type of folder to return templates for. Possible values are:

  • templates: Templates in the My Templates folder.
    Templates in the Shared Templates and All Template folders (if the request ID from and Admin) are excluded.
  • templates_root: Templates in the root level of the My Templates folder, but not in an actual folder. Note that the My Templates folder is not a real folder.
  • recylebin: Templates that have been deleted.
from_date query optional string

Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.

include query optional string

A comma-separated list
of additional template attributes
to include in the response.
Valid values are:

  • powerforms: Includes details about the PowerForms associated with the templates.
  • documents: Includes information about template documents.
  • folders: Includes information about the folder that holds the template.
  • favorite_template_status: Includes the template favoritedByMe property. Note: You can mark a template as a favorite only in eSignature v2.1.
  • advanced_templates: Includes information about advanced templates.
  • recipients: Includes information about template recipients.
  • custom_fields: Includes information about template custom fields.
  • notifications: Includes information about the notification settings for templates.
is_deleted_template_only query optional string

When true, retrieves templates that have been permanently deleted. The default is false.

Note: After you delete a template, you can see it in the Deleted bin in the UI for 24 hours. After 24 hours, the template is permanently deleted.

is_download query optional string

When true, downloads the templates listed in template_ids as a collection of JSON definitions in a single zip file.

The Content-Disposition header is set in the response. The value of the header provides the filename of the file.

The default is false.

Note: This parameter only works when you specify a list of templates in the template_ids parameter.

modified_from_date query optional string

Lists templates modified on or after this date.

modified_to_date query optional string

Lists templates modified before this date.

order query optional string

Specifies the sort order of the search results.
Valid values are:

  • asc: Ascending (A to Z)
  • desc: Descending (Z to A)
order_by query optional string

Specifies how the search results are listed.
Valid values are:

  • name: template name
  • modified: date/time template was last modified
  • used: date/time the template was last used.
search_fields query optional string

A comma-separated list of additional template properties to search.

  • sender: Include sender name and email in the search.
  • recipients: Include recipient names and emails in the search.
  • envelope: Not used in template searches.
search_text query optional string

The text to use to search the names of templates.

Limit: 48 characters.

shared_by_me query optional string

When true, the response only includes templates shared by the user. When false, the response only returns template not shared by the user. If not specified, templates are returned whether or not they have been shared by the user.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

template_ids query optional string

A comma-separated list of template IDs to download. This value is valid only when is_download is true.

to_date query optional string

The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.

Note: If this property is null, the value defaults to the current date.

used_from_date query optional string

Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used.

used_to_date query optional string

End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date.

user_filter query optional string

Filters the templates in the response. Valid values are:

  • owned_by_me: Results include only templates owned by the user.
  • shared_with_me: Results include only templates shared with the user.
  • all: Results include all templates owned or shared with the user.
user_id query optional string

The ID of the user.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates
POST /v2.1/accounts/{accountId}/templates

Creates one or more template definitions, using a multipart
request for each template.

Templates
help streamline the sending process when you frequently
send the same or similar documents, or send different documents
to the same group of people.

When you create a template, you define placeholder roles. Rather
than specifying a person, you specify a role that regularly
participates in a transaction that uses the template. Then, when
you create or send an envelope based on the template, you assign
actual recipients to the template roles. The recipients
automatically inherit all of the workflow that is defined for
that role in the template, such as the tabs and routing
information.

Template Email Subject Merge Fields

Placeholder roles have associated merge fields that personalize
the email notification that DocuSign sends. For example, the
template automatically personalizes the email message by adding
placeholders for the recipient’s name and email address within
the email subject line, based on the recipient’s role. When the
sender adds the name and email information for the recipient and
sends the envelope, the recipient information is automatically
merged into the appropriate fields in the email subject line.

Both the sender and the recipients will see the information in
the email subject line for any emails associated with the
template. This provides an easy way for senders to organize their
envelope emails without having to open an envelope to find out
who the recipient is.

Use the following placeholders
to insert a recipient’s name or
email address in the subject line

To insert a recipient’s name into the subject line,
use the [[<roleName>_UserName]] placeholder
in the emailSubject property when you create the
template:

To include a recipient’s name
or email address in the subject line,
use the following placeholders
in the emailSubject property:

  • [[<roleName>_UserName]]
  • [[<roleName>_Email]]

For example, if the role name is Signer 1,
you might set emailSubject to one of these strings:

  • "[[Signer 1_UserName]], Please sign this NDA"
  • "[[Signer 1_Email]], Please sign this NDA"

Note: The maximum length of the
subject line is 100 characters,
including any merged text.

Creating multiple templates

To create multiple templates, you provide a zip file of JSON
files. You can also use the Templates::ListTemplates method with
the is_download query parameter to download a zip file
containing your existing templates and use that as a guide. The
API supports both .zip and .gzip file formats as input.

You also need to set the
Content-Length,
Content-Type,
and
Content-Disposition
headers:

Content-Length: 71068
Content-Type: application/zip
Content-Disposition: file; filename="DocuSignTemplates_Nov_25_2019_20_40_21.zip"; fileExtension=.zip

Related topics

operationId: Templates_PostTemplates

Parameters

Name In Required Type Description
accountId path required string

(Required) The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/envelopeTemplate

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates
GET /v2.1/accounts/{accountId}/templates/{templateId}

Retrieves the definition of the specified template.

operationId: Templates_GetTemplate

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

include query optional string

A comma-separated list
of additional template attributes
to include in the response.
Valid values are:

  • powerforms: Includes information about PowerForms.
  • tabs: Includes information about tabs.
  • documents: Includes information about documents.
  • favorite_template_status: : Includes the template favoritedByMe property in the response. Note: You can mark a template as a favorite only in eSignature v2.1.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}
PUT /v2.1/accounts/{accountId}/templates/{templateId}

Updates an existing template.

operationId: Templates_PutTemplate

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/envelopeTemplate

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages

Returns images of the pages in a template document for display based on the parameters that you specify.

operationId: Pages_GetTemplatePageImages

Parameters

Name In Required Type Description
accountId path required string

(Required) The external account number (int) or account ID GUID.

documentId path required string

(Required) The ID of the document.

templateId path required string

(Required) The ID of the template.

count query optional string

The maximum number of results to return.

dpi query optional string

The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.

max_height query optional string

Sets the maximum height of the returned images in pixels.

max_width query optional string

Sets the maximum width of the returned images in pixels.

nocache query optional string

When true, using cache is disabled and image information is retrieved from a database. True is the default value.

show_changes query optional string

When true, changes display in the user interface.

start_position query optional string

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages
DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}

Deletes a page from a document in a template based on the page number.

operationId: Pages_DeleteTemplatePage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

pageNumber path required string

The page number being accessed.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/pageRequest

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image

Retrieves a page image for display from the specified template.

operationId: Pages_GetTemplatePageImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

pageNumber path required string

The page number being accessed.

templateId path required string

The ID of the template.

dpi query optional string

The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.

max_height query optional string

Sets the maximum height of the returned images in pixels.

max_width query optional string

Sets the maximum width of the returned images in pixels.

show_changes query optional string

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image
PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image

Rotates page image from a template for display. The page image can be rotated to the left or right.

operationId: Pages_PutTemplatePageImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

pageNumber path required string

The page number being accessed.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/pageRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image
GET /v2.1/accounts/{accountId}/templates/{templateId}/notification

Retrieves the envelope notification, reminders and expirations, information for an existing template.

operationId: Notification_GetTemplatesTemplateIdNotification

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/notification
PUT /v2.1/accounts/{accountId}/templates/{templateId}/notification

Updates the notification structure for an existing template. Use this endpoint to set reminder and expiration notifications.

operationId: Notification_PutTemplatesTemplateIdNotification

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

application/json
schema templateNotificationRequest
Property Type Required
password string optional
reminders object optional
reminderDelay string optional
reminderEnabled string optional
reminderFrequency string optional
expirations object optional
expireWarn string optional
expireAfter string optional
expireEnabled string optional
useAccountDefaults string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/notification
DELETE /v2.1/accounts/{accountId}/templates/{templateId}/{templatePart}

Removes a member group’s sharing permissions for a specified template.

operationId: Templates_DeleteTemplatePart

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

templatePart path required string

Currently, the only defined part is groups.

Request Body

#/components/requestBodies/groupInformation

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/{templatePart}
PUT /v2.1/accounts/{accountId}/templates/{templateId}/{templatePart}

Shares a template with the specified members group.

Note: For a newer version of this functionality, see Accounts: Update Shared Access.

operationId: Templates_PutTemplatePart

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

templatePart path required string

Currently, the only defined part is groups.

Request Body

#/components/requestBodies/groupInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/{templatePart}

Usercustomsettings 3 endpoints

DELETE /v2.1/accounts/{accountId}/users/{userId}/custom_settings

Deletes the specified custom user settings for a single user.

If the custom user settings you want to delete are grouped, you
must include the X-DocuSign-User-Settings-Key header
in the request:

X-DocuSign-User-Settings-Key:group_name

Where the group_name is your designated name for the group of
customer user settings.

If the X-DocuSign-User-Settings-Key header is not included,
only the custom user settings that were added without
a group are deleted.

operationId: UserCustomSettings_DeleteCustomSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/customSettingsInformation

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/custom_settings
GET /v2.1/accounts/{accountId}/users/{userId}/custom_settings

Retrieves a list of custom user settings for a single user.

Custom settings provide a flexible way to store and retrieve
custom user information that can be used in your own system.

Note: Custom user settings are not the same as user account
settings.

If the custom user settings you want to retrieve are grouped, you
must include the X-DocuSign-User-Settings-Key header
in the request:

X-DocuSign-User-Settings-Key:group_name

Where the group_name is your designated name for the group of
customer user settings.

If the X-DocuSign-User-Settings-Key header is not included, only the custom
user settings that were added without a group are retrieved.

operationId: UserCustomSettings_GetCustomSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/custom_settings
PUT /v2.1/accounts/{accountId}/users/{userId}/custom_settings

Adds or updates custom user settings for the specified user.

Note: Custom user settings are not the same as user account
settings.

Custom settings provide a flexible way to store and retrieve
custom user information that you can use in your own system.

Important: There is a limit on the size for all the custom
user settings for a single user. The limit is 4,000 characters,
which includes the XML and JSON structure for the settings.

You can group custom user settings when adding them. Grouping
allows you to retrieve settings that are in a specific group,
instead of retrieving all the user custom settings.

To group custom user settings, include the
X-DocuSign-User-Settings-Key header in the request:

X-DocuSign-User-Settings-Key:group_name

Where the group_name is your designated name for the group of
customer user settings.

When getting or deleting grouped custom user settings, you must
include the X-DocuSign-User-Settings-Key header information.

Grouping custom user settings is not required and if the X-DocuSign-User-Settings-Key
header information is not included, the custom user settings are
added normally and can be retrieved or deleted without including
the X-DocuSign-User-Settings-Key header.

operationId: UserCustomSettings_PutCustomSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/customSettingsInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/custom_settings

Userprofiles 2 endpoints

GET /v2.1/accounts/{accountId}/users/{userId}/profile

Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.

The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the specified account.

operationId: UserProfile_GetProfile

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/profile
PUT /v2.1/accounts/{accountId}/users/{userId}/profile

Updates the user’s detail information, profile information, privacy settings, and personal information in the user ID card.

You can also change a user’s name by changing the information in the userDetails property. When changing a user’s name, you can either change the information in the userName property OR change the information in firstName, middleName, lastName, suffixName, and title properties. Changes to firstName, middleName, lastName, suffixName, and title properties take precedence over changes to the userName property.

operationId: UserProfile_PutProfile

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

application/json
schema userProfile
Property Type Required
title string optional
address object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
companyName string optional
userDetails object optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional
usageHistory object optional
sentCount string optional
signedCount string optional
lastSentDateTime string optional
lastSignedDateTime string optional
displayProfile string optional
profileImageUri string optional
displayPersonalInfo string optional
displayUsageHistory string optional
authenticationMethods array optional
totalCount string optional
lastProvider string optional
lastTimestamp string optional
authenticationType string optional
displayOrganizationInfo string optional
userProfileLastModifiedDate string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/profile

Usersignatures 9 endpoints

GET /v2.1/accounts/{accountId}/users/{userId}/signatures

This method retrieves the signature definitions for the user that you specify.

The userId parameter specified in the endpoint must match the authenticated user’s user ID, and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example, encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_GetUserSignatures

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

stamp_type query optional string

The type of stamps to return. Valid values are:

  • signature: Returns information about signature images only. This is the default value.
  • stamp: Returns information about eHanko and custom stamps only.
  • null

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/signatures
POST /v2.1/accounts/{accountId}/users/{userId}/signatures

Adds a user signature image and/or user initials image to the specified user.

The userId property specified in the endpoint must match the authenticated user’s userId and the user must be a member of the account.

The rules and processes associated with this are:

  • If Content-Type is set to application/json, then the default behavior for creating a default signature image, based on the name and a DocuSign font, is used.
  • If Content-Type is set to multipart/form-data, then the request must contain a first part with the user signature information, followed by parts that contain the images.

For each Image part, the Content-Disposition header has a “filename” value that is used to map to the signatureName and/or signatureInitials properties in the JSON to the image.

For example:
Content-Disposition: file; filename="Ron Test20121127083900"

If no matching image (by filename value) is found, then the image is not set. One, both, or neither of the signature and initials images can be set with this call.

The Content-Transfer-Encoding: base64 header, set in the header for the part containing the image, can be set to indicate that the images are formatted as base64 instead of as binary.

If successful, 200-OK is returned, and a JSON structure containing the signature information is provided, note that the signatureId can change with each API POST, PUT, or DELETE since the changes to the signature structure cause the current signature to be closed, and a new signature record to be created.

operationId: UserSignatures_PostUserSignatures

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/userSignaturesInformation

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/users/{userId}/signatures
PUT /v2.1/accounts/{accountId}/users/{userId}/signatures
operationId: UserSignatures_PutUserSignature

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/userSignaturesInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/signatures
DELETE /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}

Removes the signature information for the user.

The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_DeleteUserSignature

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}
GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}

Retrieves the structure of a single signature with a known signature name.

The userId specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_GetUserSignature

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}
PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}

Creates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature.

Note: This will also create a default signature for the user when one does not exist.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_PutUserSignatureById

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

close_existing_signature query optional string

When true, closes the current signature.

Request Body

application/json
schema userSignatureDefinition
Property Type Required
nrdsId string optional
imageType string optional
isDefault string optional
externalID string optional
signatureId string optional
stampFormat string optional
stampSizeMM string optional
nrdsLastName string optional
phoneticName string optional
signatureFont string optional
signatureName string optional
signatureType string optional
signatureInitials string optional
dateStampProperties object optional
dateAreaX string optional
dateAreaY string optional
dateAreaWidth string optional
dateAreaHeight string optional
disallowUserResizeStamp string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}
DELETE /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}

Deletes the specified initials image or signature image for the specified user.

The function deletes one or the other of the image types, to delete both the initials image and signature image you must call the endpoint twice.

The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_DeleteUserSignatureImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

imageType path required string

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}
GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}

Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format in which it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.

operationId: UserSignatures_GetUserSignatureImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

imageType path required string

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

include_chrome query optional string

When true, the chrome (or frame containing the added line and identifier) is included with the signature image.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}
PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}

Updates the user signature image or user initials image for the specified user. The supported image formats for this file are: gif, png, jpeg, and bmp. The file must be less than 200K.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

operationId: UserSignatures_PutUserSignatureImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

imageType path required string

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
signatureId path required string

The ID of the account stamp.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

transparent_png query optional string

Request Body

required

Image content.

image/gif
schema UserSignaturesPutUserSignatureImageRequest
string

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}

Users 11 endpoints

DELETE /v2.1/accounts/{accountId}/users

Closes one or more users in the account,
preventing them from accessing account features.
Users are not permanently deleted.

The request body requires only
the IDs of the users to close:

{
    "users": [
        { "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163" },
        { "userId": "b6c74c52-xxxx-xxxx-xxxx-457a81d88926" },
        { "userId": "464f7988-xxxx-xxxx-xxxx-781ee556ab7a" }
    ]
}

You can use Users:update
to re-open a closed user.

operationId: Users_DeleteUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

delete query optional string

A list of groups to remove the user from.
A comma-separated list of the following:

  • Groups
  • PermissionSet
  • SigningGroupsEmail

Request Body

#/components/requestBodies/userInfoList

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users
GET /v2.1/accounts/{accountId}/users

Retrieves the list of users for the specified account.

The response returns the list of users for the account, with information about the result set. If the additional_info query is added to the endpoint and set to true, full user information is returned for each user.

operationId: Users_GetUsers

Parameters

Name In Required Type Description
accountId path required string

(Required) The external account number (int) or account ID GUID.

additional_info query optional string

When true, the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is false.

alternate_admins_only query optional string
count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

domain_users_only query optional string
email query optional string

Filters results based on the email address associated with the user that you want to return.

Note: You can use either this parameter or the email_substring parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.

email_substring query optional string

Filters results based on a fragment of an email address. For example, you could enter gmail to return all users who have Gmail addresses.

Note: You do not use a wildcard character with this parameter. You can use either this parameter or the email parameter, but not both.

group_id query optional string

Filters results based on one or more group IDs.

include_usersettings_for_csv query optional string

When true, the response includes the userSettings object data in CSV format.

login_status query optional string

When true, the response includes the login status of each user.

not_group_id query optional string

Return user records excluding the specified group IDs.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

status query optional string

Filters results by user account status.
A comma-separated list of any of the following:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
user_name_substring query optional string

Filters the user records returned by the user name or a sub-string of user name.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users
POST /v2.1/accounts/{accountId}/users

Adds new users to an account.

The body of this request is an array of newUsers objects. For each new user, you must provide at least the userName and email properties. The maximum number of users you can create in one request is 500 users.

The userSettings property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the locale is set to fr.

POST /restapi/v2.1/accounts/{accountId}/users
Content-Type: application/json
{
  "newUsers": [
    {
      "userName": "Claire Horace",
      "email": "claire@example.com"
    },
    {
      "userName": "Tal Mason",
      "email": "talmason@example.com",
      "company": "TeleSel",
      "userSettings": {
        "locale": "fr",
        "canSendEnvelope": true
      }
    }
  ]
}

A successful response is a newUsers array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an errorDetails property that describes what went wrong.

{
  "newUsers": [
    {
      "userId": "18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade",
      "uri": "/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade",
      "email": "claire@example.com",
      "userName": "Claire Horace",
      "createdDateTime": "0001-01-01T08:00:00.0000000Z",
      "errorDetails": {
        "errorCode": "USER_ALREADY_EXISTS_IN_ACCOUNT",
        "message": "Username and email combination already exists for this account."
      }
    },
    {
      "userId": "be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33",
      "uri": "/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33",
      "email": "talmason@example.com",
      "userName": "Tal Mason",
      "userStatus": "ActivationSent",
      "createdDateTime": "2020-05-26T23:25:30.7330000Z"
    }
  ]
}
operationId: Users_PostUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema newUsersDefinition
Property Type Required
newUsers array optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/users
PUT /v2.1/accounts/{accountId}/users

This method updates the information about one or more account users.

operationId: Users_PutUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

allow_all_languages query optional string

Request Body

application/json
schema userInformationList
Property Type Required
users array optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional
nextUri string optional
endPosition string optional
previousUri string optional
totalSetSize string optional
resultSetSize string optional
startPosition string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users
GET /v2.1/accounts/{accountId}/users/{userId}

Retrieves the user information for the specified user. For example:

{
  "userName": "Tania Morales",
  "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163",
  "userType": "CompanyUser",
  "isAdmin": "False",
  "isNAREnabled": "false",
  "userStatus": "Active",
  "uri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163",
  "email": "examplename42@orobia.net",
  "createdDateTime": "2019-04-01T22:11:56.4570000Z",
  "userAddedToAccountDateTime": "0001-01-01T08:00:00.0000000Z",
  "firstName": "Tania",
  "lastName": "Morales",
  "jobTitle": "",
  "company": "Company",
  "permissionProfileId": "12345678",
  "permissionProfileName": "DocuSign Viewer",
  "userSettings": {. . .},
  "sendActivationOnInvalidLogin": "false",
  "enableConnectForUser": "false",
  "groupList": [. . .],
  "workAddress": {. . .},
  "homeAddress": {. . .},
  "signatureImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image",
  "initialsImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image",
  "defaultAccountId": "f636f297-xxxx-xxxx-xxxx-8e7a14715950"
}
operationId: User_GetUser

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

additional_info query optional string

Setting this parameter has no effect in this operation.

email query optional string

Setting this parameter has no effect in this operation.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}
PUT /v2.1/accounts/{accountId}/users/{userId}

To update user information for a specific user, submit a Users object with updated field values in the request body of this operation.

operationId: User_PutUser

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

allow_all_languages query optional string

Request Body

application/json
schema userInformation
Property Type Required
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
message string optional
errorCode string optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}
DELETE /v2.1/accounts/{accountId}/users/{userId}/profile/image

Deletes the user profile image from the specified user’s profile.

The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the specified account.

operationId: UserProfileImage_DeleteUserProfileImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/profile/image
GET /v2.1/accounts/{accountId}/users/{userId}/profile/image

Retrieves the user profile picture for the specified user.

The userId path parameter must match the authenticated user’s user ID,
and the user must be a member of the specified account.

Return value Meaning
200 OK The response contains the profile image in the same format as it was uploaded.
404 Not found The user does not have a profile image.
400 Bad request There was an error in the request. The response has more information.
operationId: UserProfileImage_GetUserProfileImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

encoding query optional string

Reserved for DocuSign.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/profile/image
PUT /v2.1/accounts/{accountId}/users/{userId}/profile/image

Updates the user profile image by uploading an image to the user profile.

The supported image formats are: gif, png, jpeg, and bmp. The file must be less than 200K. For best viewing results, DocuSign recommends that the image is no more than 79 pixels wide and high.

operationId: UserProfileImage_PutUserProfileImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/profile/image
GET /v2.1/accounts/{accountId}/users/{userId}/settings

Retrieves a list of the account settings and email
notification information for the specified user.

The response returns the account setting
name/value information and the email notification
settings for the specified user. For more
information, see
Users:create.

operationId: UserSettings_GetUserSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/settings
PUT /v2.1/accounts/{accountId}/users/{userId}/settings

Updates the account settings list and email notification types for the specified user.

operationId: UserSettings_PutUserSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

allow_all_languages query optional string

Request Body

application/json
schema userSettingsInformation
Property Type Required
locale string optional
bulkSend string optional
webForms string optional
adminOnly string optional
newSendUI string optional
modifiedBy string optional
enableDSPro string optional
timezoneDST string optional
localePolicy object optional
timeZone string optional
dateFormat string optional
nameFormat string optional
timeFormat string optional
allowRegion string optional
cultureName string optional
calendarType string optional
currencyCode string optional
addressFormat string optional
initialFormat string optional
signDateFormat string optional
signTimeFormat string optional
customDateFormat string optional
customTimeFormat string optional
timeZoneMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
effectiveTimeZone string optional
dateFormatMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
nameFormatMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
timeFormatMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
cultureNameMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
…23 more object optional
modifiedDate string optional
modifiedPage string optional
timezoneMask string optional
vaultingMode string optional
powerFormMode string optional
apiCanExportAC string optional
enableVaulting string optional
localeMetadata object optional
rights string optional
uiHint string optional
uiType string optional
options array optional
uiOrder string optional
is21CFRPart11 string optional
timezoneOffset string optional
canSendEnvelope string optional
canSignEnvelope string optional
…115 more object optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/users/{userId}/settings

Workspaceitems 6 endpoints

DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}

This method deletes one or more files or sub-folders from a workspace folder or root.

Note: To delete items from a workspace, the status of the workspace must be active.

operationId: WorkspaceFolder_DeleteWorkspaceItems

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

Request Body

application/json
schema workspaceItemList
Property Type Required
items array optional
id string optional
uri string optional
name string optional
type string optional
sha256 string optional
created string optional
fileUri string optional
fileSize string optional
isPublic string optional
extension string optional
pageCount string optional
thumbnail object optional
dpi string optional
width string optional
height string optional
pageId string optional
mimeType string optional
sequence string optional
imageBytes string optional
errorDetails object optional
message string optional
errorCode string optional
thumbWidth string optional
contentType string optional
createdById string optional
thumbHeight string optional
lastModified string optional
parentFolderId string optional
parentFolderUri string optional
lastModifiedById string optional
…4 more object optional

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}
GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}

This method returns the contents of a workspace folder, which can include sub-folders and files.

operationId: WorkspaceFolder_GetWorkspaceFolder

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

include_files query optional string

When true, the response includes file information (in addition to folder information). The default is false.

include_sub_folders query optional string

When true, the response includes information about the sub-folders of the current folder. The default is false.

include_thumbnails query optional string

When true, the response returns thumbnails. The default is false.

include_user_detail query optional string

When true, the response includes extended details about the user. The default is false.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

workspace_user_id query optional string

If set, the response only includes results associated with the userId that you specify.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}
POST /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files

This method adds a file to a workspace.

operationId: WorkspaceFile_PostWorkspaceFiles

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files
GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}

This method returns a binary version of a file in a workspace.

operationId: WorkspaceFile_GetWorkspaceFile

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

fileId path required string

The ID of the file.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

is_download query optional string

When true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. The default is false.

pdf_version query optional string

When true the file is returned in PDF format.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}
PUT /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}

This method updates the metadata for one or more specific files or folders in a workspace.

operationId: WorkspaceFile_PutWorkspaceFile

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

fileId path required string

The ID of the file.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}
GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages

This method returns a workspace file as rasterized pages.

operationId: WorkspaceFilePages_GetWorkspaceFilePages

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

fileId path required string

The ID of the file.

folderId path required string

The ID of the folder.

workspaceId path required string

The ID of the workspace.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

dpi query optional string

The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.

max_height query optional string

Sets the maximum height of the returned images in pixels.

max_width query optional string

Sets the maximum width of the returned images in pixels.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages

Workspaces 3 endpoints

GET /v2.1/accounts/{accountId}/workspaces

Gets information about the Workspaces that have been created.

operationId: Workspace_GetWorkspaces

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/workspaces
POST /v2.1/accounts/{accountId}/workspaces

This method creates a new workspace.

operationId: Workspace_PostWorkspace

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/workspace

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/workspaces
DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}

Deletes an existing workspace (logically).

operationId: Workspace_DeleteWorkspace

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

workspaceId path required string

The ID of the workspace.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}
Load more endpoints